
# For precision:
$(WD)/%.scr: $(VERILOGFILES)
	rm -f $(WD)/$*.scr;
	echo set_results_dir synthdir > $(WD)/$*.scr
	echo -n 'add_input_file {' >> $(WD)/$*.scr
	if test -f /usr/bin/cygpath;then PATHCONV="cygpath -w";else PATHCONV=echo;fi;\
		for i in $(VERILOGFILES); do echo -n " `$$PATHCONV $$PWD/$$i` " >> $(WD)/$*.scr; done
	echo '}' >> $(WD)/$*.scr
	echo 'setup_design -design $(TOPMODULE)' >> $(WD)/$*.scr
	echo 'setup_design -frequency 200' >> $(WD)/$*.scr
	echo 'setup_design -manufacturer Xilinx -family VIRTEX-4 -part 4vsx35ff668 -speed 10' >> $(WD)/$*.scr
	echo 'compile' >> $(WD)/$*.scr
	echo 'synthesize' >> $(WD)/$*.scr

$(WD)/%.edf: $(WD)/%.scr
	$(NICE) $(PRECISION) -shell -file $(WD)/$*.scr

$(WD)/%.ngd: $(WD)/%.edf $(UCFFILE)
	rm -rf $(WD)/_ngo
	mkdir $(WD)/_ngo
	cd $(WD); $(NICE) ngdbuild -dd _ngo -nt timestamp -p $(PART) -uc ../$(UCFFILE) $*.edf  $*.ngd
