`default_nettype none
`timescale 1ns / 10ps

module wb_check_local_access(
    input wire [31:0] addr,
    output reg	 islocal);

   parameter [31:0] LOCALADDR = 32'h00000000;
   parameter [31:0] LOCALMASK = 32'hf8000000;

   always @(*) begin
      islocal = (addr & LOCALMASK) == LOCALADDR;
   end

   
endmodule // wb_check_local_access
