`timescale 1ns / 10ps

// Just like LUT4, but for 5 inputs.

module SLICE5(
    input wire I0,I1,I2,I3,I4,
    output wire O);


   parameter [31:0] INIT = 32'h0;
   

   defparam 	    lut1.INIT= INIT[15:0];
   defparam 	    lut2.INIT = INIT[31:16];


   wire 	    partial0,partial1;
   
   (* RLOC = "X0Y0" *) LUT4 lut1(.I0(I0),.I1(I1),.I2(I2),.I3(I3),.O(partial0));
   (* RLOC = "X0Y0" *) LUT4 lut2(.I0(I0),.I1(I1),.I2(I2),.I3(I3),.O(partial1));

   (* RLOC = "X0Y0" *) MUXF5 outmux (.I1(partial1),.I0(partial0),.S(I4),.O(O));
   
   

endmodule // SLICE5
