#!/bin/bash
#
# Check that all packets arrived correctly.

echo -n '['
echo -n G
grep -v debug: simulator/log.txt | grep Got | cut -d : -f 2 | sed 's/Got //g' > newfile.txt
echo -n G
grep -v debug: simulator/log.txt | grep wrote | cut -d : -f 2 | sed 's/wrote data //g' > newfile2.txt

echo -n S
sort newfile.txt > newfile3.txt
echo -n S
sort newfile2.txt > newfile4.txt
echo -n D
echo -n ']'

if ! diff newfile3.txt newfile4.txt > /dev/null
then
    echo
    echo 'ERROR: Packets differed'
    exit 1
else
    echo
    echo 'All packets ok (FIXME - check order packets arrive in...)'
fi
exit 0
