. util/testlib.sh

make clean
cleartestlog

if [ -z $1 ]
then
    TESTFILES=tests/*
else
    TESTFILES=$*
fi


for i in $TESTFILES
do
  echo "*** Running test $i ***"
  testname=$(basename $i)
  $i > testlog/${testname}_stdout 2> testlog/${testname}_stderr
done

finishtestlog

cat testlog/summary.txt
